public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Maciej Barć" <xgqt@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/coq-serapi/
Date: Mon, 10 Apr 2023 18:49:26 +0000 (UTC)	[thread overview]
Message-ID: <1681152563.d11706013713929a25850c2afe7544d13633fd92.xgqt@gentoo> (raw)

commit:     d11706013713929a25850c2afe7544d13633fd92
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 10 17:47:59 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Mon Apr 10 18:49:23 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d1170601

sci-mathematics/coq-serapi: bump to 0.17.0

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 sci-mathematics/coq-serapi/Manifest                |  1 +
 .../coq-serapi/coq-serapi-0.17.0.ebuild            | 70 ++++++++++++++++++++++
 2 files changed, 71 insertions(+)

diff --git a/sci-mathematics/coq-serapi/Manifest b/sci-mathematics/coq-serapi/Manifest
index bb04f4922260..427eaa5dae04 100644
--- a/sci-mathematics/coq-serapi/Manifest
+++ b/sci-mathematics/coq-serapi/Manifest
@@ -1,3 +1,4 @@
 DIST coq-serapi-0.16.1.tar.gz 271068 BLAKE2B 5e832f4b2d2627938f2399b3eff111a15987d7733e30ba6f6328dc0110631a1c42a212c5ed464037f8c521c11c46bf8bb8665bfdd93b5969949cdec584a42e18 SHA512 348a984897f99dd4f08a409251eaf50f792aa1fe96d71d5f895f3153c05131b2d6b15f10a18cf704e978676562547d0869a310e8d6969ffe69d5bdf1c212b756
 DIST coq-serapi-0.16.2.tar.gz 272807 BLAKE2B 20a04ae8b18fba7c6d8346515d4f610750e32e6a521dc65afd7a624ae07ddea75b4f8aed237ba95ed16667f3867b35dd914b35eab966187f6f41f547f3bac8d6 SHA512 f7aba7009f14302246eabe595af7cb72103b8904e45c647783326f46d51b1331b30dd515364c4b909f02c42c5bf7bd367dc0fe64eb9c88b062cd79113b53306b
 DIST coq-serapi-0.16.3.tar.gz 272910 BLAKE2B e3e5e070e98d9dd41d3b7ef589abcb57137925ed637be7c94aaa387dbe996ce72d4c98f37b6e8ee9ca196af6deb291afbb326ac6aeb8c1809331bbc1824a0786 SHA512 fccc946d87de4fbe797df6a898704ead04708323bdf3b799ced074ba1539d7d5b54d3cc439f7641fe3bf289069ca42278137a10c8de211b1563df9b6a61ad8c5
+DIST coq-serapi-0.17.0.tar.gz 273903 BLAKE2B 155d865650f773d71e0ddd10869852916de5e539b3b3f4d03d58259790482be45d668035975d5be768776f7ef5947f0d7227f0f6624bc7f64cefd009e9a83ecb SHA512 d9085b4215c233c47f78386d8771348768c9cbbf0716dfa4da3ff8c8c96d2e78b203098314175ef2bb9959096f8b0ec03a9fb5d696d0451eeee0713bd48afa2b

diff --git a/sci-mathematics/coq-serapi/coq-serapi-0.17.0.ebuild b/sci-mathematics/coq-serapi/coq-serapi-0.17.0.ebuild
new file mode 100644
index 000000000000..2485ac135a10
--- /dev/null
+++ b/sci-mathematics/coq-serapi/coq-serapi-0.17.0.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+COQ_MIN_V=8.17.0
+COQ_MAX_V=8.18.0
+
+inherit elisp-common dune
+
+DESCRIPTION="Serialization library and protocol for interaction with the Coq proof assistant"
+HOMEPAGE="https://github.com/ejgallego/coq-serapi/"
+
+# The tarball in SRC_URI is comprised of <supported coq>+<package version>
+SRC_URI="https://github.com/ejgallego/${PN}/archive/${COQ_MIN_V}+${PV}.tar.gz
+	-> ${P}.tar.gz"
+S="${WORKDIR}"/${PN}-${COQ_MIN_V}-${PV}
+
+LICENSE="GPL-3+"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE="emacs +ocamlopt test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	>=sci-mathematics/coq-${COQ_MIN_V}:= <sci-mathematics/coq-${COQ_MAX_V}:=
+	>=dev-ml/ppx_sexp_conv-0.13.0:=
+	dev-ml/cmdliner:=
+	dev-ml/ppx_compare:=
+	dev-ml/ppx_deriving:=
+	dev-ml/ppx_deriving_yojson:=
+	dev-ml/ppx_hash:=
+	dev-ml/ppx_import:=
+	dev-ml/sexplib:=
+	dev-ml/yojson:=
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	emacs? ( >=app-editors/emacs-23.1:* )
+	test? ( sci-mathematics/coq-mathcomp )
+"
+
+SITEFILE="50sertop-gentoo.el"
+
+PATCHES=( "${FILESDIR}"/${PN}-sertop.el-path.patch )
+
+src_compile() {
+	dune_src_compile
+
+	use emacs && elisp-compile sertop.el
+}
+
+src_install() {
+	dune_src_install
+
+	rm -r "${D}"/usr/share/emacs || die
+
+	if use emacs ; then
+		elisp-install ${PN} sertop.el{,c}
+		elisp-site-file-install "${FILESDIR}/${SITEFILE}"
+	fi
+}
+
+pkg_postinst() {
+	use emacs && elisp-site-regen
+}
+
+pkg_postrm() {
+	use emacs && elisp-site-regen
+}


             reply	other threads:[~2023-04-10 18:49 UTC|newest]

Thread overview: 21+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-04-10 18:49 Maciej Barć [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-19 19:59 [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/coq-serapi/ Maciej Barć
2024-09-09  0:06 Maciej Barć
2024-01-15 21:20 Maciej Barć
2023-10-23 20:39 Maciej Barć
2023-07-15 22:17 Maciej Barć
2023-07-15 22:17 Maciej Barć
2023-07-15 22:17 Maciej Barć
2023-04-10 18:49 Maciej Barć
2023-03-15  1:29 Maciej Barć
2023-02-17  1:43 Maciej Barć
2023-02-17  1:43 Maciej Barć
2023-01-27 13:02 Maciej Barć
2023-01-12  1:23 Maciej Barć
2023-01-12  1:23 Maciej Barć
2022-10-31  3:44 Maciej Barć
2022-10-26 22:04 Maciej Barć
2022-10-01 23:37 Maciej Barć
2022-10-01 23:37 Maciej Barć
2022-04-19 22:32 Maciej Barć
2022-04-16 17:21 Maciej Barć

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1681152563.d11706013713929a25850c2afe7544d13633fd92.xgqt@gentoo \
    --to=xgqt@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox